Bug 733417 - The network-bridge script does not set the MTU of the bridge to match the MTU of the physical interface
Summary: The network-bridge script does not set the MTU of the bridge to match the MTU...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 697310
Blocks: 699611 738610
TreeView+ depends on / blocked
 
Reported: 2011-08-25 16:30 UTC by Paolo Bonzini
Modified: 2013-01-11 04:02 UTC (History)
10 users (show)

Fixed In Version: xen-3.0.3-134.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 697310
Environment:
Last Closed: 2012-02-21 05:55:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0160 normal SHIPPED_LIVE xen bug fix and enhancement update 2012-02-20 14:53:33 UTC

Description Paolo Bonzini 2011-08-25 16:30:57 UTC
After configuring two machines (e.g. connected with a crossover cable) to use jumbo frames like this:

# Intel Corporation 82574L Gigabit Network Connection
DEVICE=eth0
HWADDR=00:21:5E:6E:F0:29
ONBOOT=yes
HOTPLUG=no
IPADDR=169.254.100.200
NETMASK=255.255.0.0
NETWORK=169.254.0.0
MTU=9000

and similarly on the other machine, the Xen bridge will not be created with MTU set to 9000.  This is necessary for the bridge to work with large MTU:

ip link set mtu 9000 dev vif0.1
ip link set mtu 9000 dev peth0
ip link set mtu 9000 dev xenbr0

The network-bridge script (and friends) should be changed so that this happens automatically.

Comment 1 Paolo Bonzini 2011-08-26 10:04:51 UTC
The patch depends on the one for bug 697310.

Comment 3 Miroslav Rezanina 2011-09-07 11:44:47 UTC
Fix built into xen-3.0.3-134.el5

Comment 7 Qixiang Wan 2011-11-15 08:59:58 UTC
Change to verified per bug 697021 comment 37 and bug 733416 comment 12.

Comment 8 errata-xmlrpc 2012-02-21 05:55:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0160.html


Note You need to log in before you can comment on or make changes to this bug.